#Riddle 1
from eventAPI import *
from APIUtils import *
from SDLKeys import *

def fireEvent(e):
    if (getTag(e, "DKR") >= 1):
        return 1
    else:
        return next(e)

def next(e):
    showPicture(e, "bw_magicmouthred2")       
    answer = stringInput(e, ["A magic mouth on the wall speaks to you, saying this:", "", "\"I am not alive, but I grow; I don't have lungs, but I need air; I don't have a mouth, but water kills me. What am I?\""])
    if(answer.lower() == "fire"):
        showMessage(e, ["You are now one step closer to the exit."])
        setTag(e, "DKR", 1)
        return 1
    else:
        showMessage(e, ["Wrong. You are not ready to pass."])
        return 0